Bug 487142 (CVE-2009-0520) - CVE-2009-0520 flash-plugin: Buffer overflow (arbitrary code execution) via crafted SWF file.
Summary: CVE-2009-0520 flash-plugin: Buffer overflow (arbitrary code execution) via cr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0520
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=adobe,reported=20090217,public...
Depends On: 487287 487288
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-24 14:34 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-26 08:19:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0332 normal SHIPPED_LIVE Critical: flash-plugin security update 2009-02-25 23:56:53 UTC
Red Hat Product Errata RHSA-2009:0334 normal SHIPPED_LIVE Critical: flash-plugin security update 2009-02-25 23:57:39 UTC

Description Jan Lieskovsky 2009-02-24 14:34:17 UTC
A buffer overflow flaw was found in the Adobe Flash Player for Linux 10.0.12.36
that could allow attacker to execute arbitrary code on the user's
system when crafted SWF file was opened by a victim.

Comment 1 Jan Lieskovsky 2009-02-25 10:42:14 UTC
This issue now public:

http://www.adobe.com/support/security/bulletins/apsb09-01.html

Comment 3 Red Hat Product Security 2009-02-26 08:19:04 UTC
This issue was addressed in:

Red Hat Enterprise Linux Extras:
  http://rhn.redhat.com/errata/RHSA-2009-0332.html
  http://rhn.redhat.com/errata/RHSA-2009-0334.html


Note You need to log in before you can comment on or make changes to this bug.